# Class LogToolContribution

java.lang.Object
org.apache.sling.mcp.server.impl.contribs.LogToolContribution

All Implemented Interfaces:
  `org.apache.sling.mcp.server.spi.McpServerContribution`

public class LogToolContribution extends Object implements org.apache.sling.mcp.server.spi.McpServerContribution
MCP Tool that provides access to logs with filtering capabilities. Allows filtering by regex pattern, log level, and maximum number of entries.

## Constructor Summary

Constructors
Constructor
Description
`LogToolContribution()`

## Method Summary

Modifier and Type
Method
Description
`List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncToolSpecification>`
`getSyncToolSpecification()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.mcp.server.spi.McpServerContribution

`getSyncCompletionSpecification, getSyncPromptSpecification, getSyncResourceSpecification, getSyncResourceTemplateSpecification`

## Constructor Details

### LogToolContribution

public LogToolContribution()

## Method Details

### getSyncToolSpecification

public List<io.modelcontextprotocol.server.McpStatelessServerFeatures.SyncToolSpecification> getSyncToolSpecification()

Specified by:
  `getSyncToolSpecification` in interface `org.apache.sling.mcp.server.spi.McpServerContribution`